package cn.quant.andy.jpa.entity;

import cn.quant.spring.data.jpa.entity.DescriptionEntity;

import javax.persistence.Column;
import javax.persistence.Id;
import java.util.List;

public class ApplicationProfileEntity extends DescriptionEntity {

    @Id
    @Column(name = "TYPE_CODE", nullable = false, updatable = false)
    private String typeCode;

    @Column(name = "TABLE_FIELDS", nullable = false, updatable = true)
    private List<String> tableFields;

    @Column(name = "POST_DATE_INDEX", nullable = false, updatable = true)
    private Integer postDateIndex;

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public List<String> getTableFields() {
        return tableFields;
    }

    public void setTableFields(List<String> tableFields) {
        this.tableFields = tableFields;
    }

    public Integer getPostDateIndex() {
        return postDateIndex;
    }

    public void setPostDateIndex(Integer postDateIndex) {
        this.postDateIndex = postDateIndex;
    }
    
    @Override
    public String persistenceKey() {
        return null;
    }
}